from django.contrib import admin
from like.models import PromotionInfo,PromotionChannel

# Register your models here.


class PromotionInfoAdmin(admin.ModelAdmin):
    search_fields=['name',"code"]
    list_display=("name","code","sub_code","platform","app","appendtime")
    list_filter=("code","app","platform")

class PromotionChannelAdmin(admin.ModelAdmin):
    list_display=("appid","idfa","imei","create_time","active_time")
    list_filter=("appid",'create_time','active_time')

    search_fields = ['appid','idfa','imei']

admin.site.register(PromotionInfo, PromotionInfoAdmin)
admin.site.register(PromotionChannel, PromotionChannelAdmin)


